API Reference2026-02-18 (Latest)Merchants
Create a merchant
POST
header
Api-Key<token>Idempotency-Key*stringUnique key to ensure idempotent request processing. Max 255 characters.
Length
length <= 255application/json- body
merchantName*stringDisplay name for the merchant
Length
1 <= length <= 256merchantEmail*stringContact email for the merchant
Match
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailiconUrl?|Merchant logo URL (HTTPS only), or null to unset
Default
nullMerchant created
application/json- response
merchant*curl -X POST 'https://api.pay.walletconnect.com/v1/merchants' \ -H 'Idempotency-Key: string' \ -H 'Content-Type: application/json' \ -d '{ "merchantName": "Acme Store", "merchantEmail": "billing@acme.store", "iconUrl": "https://example.com/logo.png"}'{ "merchant": { "id": "mrch_7kBz2qR9xPvLmN4Yw", "name": "Acme Store", "email": "billing@acme.store", "status": "active", "createdAt": "2025-06-15T10:30:00.000Z" }}